#ifndef XWATERWRITABLE_H
#define XWATERWRITABLE_H

#include "xasset.h"

class XWaterWritable : public XAsset
{
public:
    explicit XWaterWritable();
    ~XWaterWritable();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    float mFloatTime;
};

#endif // XWATERWRITABLE_H
